## org.eclipse.uml2.uml
Interface Activity

All Superinterfaces:
  Behavior, BehavioredClassifier, Class, Classifier, Element, org.eclipse.emf.ecore.EModelElement, EncapsulatedClassifier, org.eclipse.emf.ecore.EObject, NamedElement, Namespace, org.eclipse.emf.common.notify.Notifier, PackageableElement, ParameterableElement, RedefinableElement, StructuredClassifier, TemplateableElement, Type

    public interface Activity

extends Behavior

A representation of the model object 'Activity'. An activity is the specification of parameterized behavior as the coordinated sequencing of subordinate units whose individual elements are actions.

The following features are supported:

- `Structured Node`
- `Variable`
- `Node`
- `Is Read Only`
- `Edge`
- `Partition`
- `Is Single Execution`
- `Group`

See Also:
  `UMLPackage.getActivity()`

Method Summary
`ActivityEdge` `createEdge(java.lang.String name, org.eclipse.emf.ecore.EClass eClass)` Creates a new `ActivityEdge`, with the specified 'Name', and appends it to the 'Edge' containment reference list
`ActivityGroup` `createGroup(org.eclipse.emf.ecore.EClass eClass)` Creates a new `ActivityGroup` and appends it to the 'Group' containment reference list
`ActivityNode` `createNode(java.lang.String name, org.eclipse.emf.ecore.EClass eClass)` Creates a new `ActivityNode`, with the specified 'Name', and appends it to the 'Node' containment reference list
`ActivityPartition` `createPartition(java.lang.String name)` Creates a new `ActivityPartition`, with the specified 'Name', and appends it to the 'Partition' reference list
`Variable` `createVariable(java.lang.String name, Type type)` Creates a new `Variable`, with the specified 'Name', and 'Type', and appends it to the 'Variable' containment reference list
`ActivityEdge` `getEdge(java.lang.String name)` Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Edge' containment reference list
`ActivityEdge` `getEdge(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass, boolean createOnDemand)` Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Edge' containment reference list
`org.eclipse.emf.common.util.EList<ActivityEdge>` `getEdges()` Returns the value of the 'Edge' containment reference list.
`org.eclipse.emf.common.util.EList<ActivityGroup>` `getGroups()` Returns the value of the 'Group' containment reference list.
`ActivityNode` `getNode(java.lang.String name)` Retrieves the first `ActivityNode` with the specified 'Name' from the 'Node' containment reference list
`ActivityNode` `getNode(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass, boolean createOnDemand)` Retrieves the first `ActivityNode` with the specified 'Name' from the 'Node' containment reference list
`org.eclipse.emf.common.util.EList<ActivityNode>` `getNodes()` Returns the value of the 'Node' containment reference list.
`ActivityPartition` `getPartition(java.lang.String name)` Retrieves the first `ActivityPartition` with the specified 'Name' from the 'Partition' reference list
`ActivityPartition` `getPartition(java.lang.String name, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `ActivityPartition` with the specified 'Name' from the 'Partition' reference list
`org.eclipse.emf.common.util.EList<ActivityPartition>` `getPartitions()` Returns the value of the 'Partition' reference list.
`StructuredActivityNode` `getStructuredNode(java.lang.String name)` Retrieves the first `StructuredActivityNode` with the specified 'Name' from the 'Structured Node' reference list
`StructuredActivityNode` `getStructuredNode(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `StructuredActivityNode` with the specified 'Name' from the 'Structured Node' reference list
`org.eclipse.emf.common.util.EList<StructuredActivityNode>` `getStructuredNodes()` Returns the value of the 'Structured Node' reference list.
`Variable` `getVariable(java.lang.String name, Type type)` Retrieves the first `Variable` with the specified 'Name', and 'Type' from the 'Variable' containment reference list
`Variable` `getVariable(java.lang.String name, Type type, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `Variable` with the specified 'Name', and 'Type' from the 'Variable' containment reference list
`org.eclipse.emf.common.util.EList<Variable>` `getVariables()` Returns the value of the 'Variable' containment reference list.
`boolean` `isReadOnly()` Returns the value of the 'Is Read Only' attribute.
`boolean` `isSingleExecution()` Returns the value of the 'Is Single Execution' attribute.
`void` `setIsReadOnly(boolean value)` Sets the value of the '`Is Read Only`' attribute
`void` `setIsSingleExecution(boolean value)` Sets the value of the '`Is Single Execution`' attribute
`boolean` `validateActivityParameterNode(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The nodes of the activity must include one ActivityParameterNode for each parameter.
`boolean` `validateAutonomous(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` An activity cannot be autonomous and have a classifier or behavioral feature context at the same time.
`boolean` `validateNoSupergroups(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The groups of an activity have no supergroups.

Methods inherited from interface org.eclipse.uml2.uml.Behavior

`createOwnedParameter, createOwnedParameterSet, createPostcondition, createPostcondition, createPrecondition, createPrecondition, getContext, getOwnedParameter, getOwnedParameter, getOwnedParameters, getOwnedParameterSet, getOwnedParameterSet, getOwnedParameterSets, getPostcondition, getPostcondition, getPostconditions, getPrecondition, getPrecondition, getPreconditions, getRedefinedBehavior, getRedefinedBehavior, getRedefinedBehaviors, getSpecification, isReentrant, setIsReentrant, setSpecification, validateFeatureOfContextClassifier, validateMostOneBehaviour, validateMustRealize, validateParametersMatch`

Methods inherited from interface org.eclipse.uml2.uml.Class

`createNestedClassifier, createOwnedOperation, createOwnedOperation, createOwnedReception, getExtension, getExtension, getExtensions, getNestedClassifier, getNestedClassifier, getNestedClassifiers, getOwnedOperation, getOwnedOperation, getOwnedOperations, getOwnedReception, getOwnedReception, getOwnedReceptions, getSuperClass, getSuperClass, getSuperClasses, isActive, isMetaclass, setIsActive, validatePassiveClass`

Methods inherited from interface org.eclipse.uml2.uml.EncapsulatedClassifier
`createOwnedPort, getOwnedPort, getOwnedPort, getOwnedPorts`

Methods inherited from interface org.eclipse.uml2.uml.StructuredClassifier
`createOwnedAttribute, createOwnedAttribute, createOwnedAttribute, createOwnedConnector, getOwnedAttribute, getOwnedAttribute, getOwnedAttributes, getOwnedConnector, getOwnedConnector, getOwnedConnectors, getPart, getPart, getParts, getRole, getRole, getRoles, validateMultiplicities`

Methods inherited from interface org.eclipse.uml2.uml.Classifier

`allFeatures, allParents, conformsTo, createCollaborationUse, createGeneralization, createOwnedUseCase, createRepresentation, createSubstitution, getAllAttributes, getAllOperations, getAllUsedInterfaces, getAttribute, getAttribute, getAttributes, getCollaborationUse, getCollaborationUse, getCollaborationUses, getFeature, getFeature, getFeatures, getGeneral, getGeneral, getGeneralization, getGeneralization, getGeneralizations, getGenerals, getInheritedMember, getInheritedMember, getInheritedMembers, getOperation, getOperation, getOperations, getOwnedUseCase, getOwnedUseCase, getOwnedUseCases, getPowertypeExtent, getPowertypeExtent, getPowertypeExtents, getRedefinedClassifier, getRedefinedClassifier, getRedefinedClassifiers, getRepresentation, getSubstitution, getSubstitution, getSubstitutions, getUseCase, getUseCase, getUseCases, getUsedInterfaces, hasVisibilityOf, inherit, inheritableMembers, isAbstract, maySpecializeType, parents, setIsAbstract, setRepresentation, validateGeneralizationHierarchies, validateMapsToGeneralizationSet, validateNoCyclesInGeneralization, validateSpecializeType`

Methods inherited from interface org.eclipse.uml2.uml.Namespace

`createElementImport, createElementImport, createOwnedRule, createOwnedRule, createPackageImport, createPackageImport, excludeCollisions, getElementImport, getElementImport, getElementImports, getImportedElements, getImportedMember, getImportedMember, getImportedMembers, getImportedPackages, getMember, getMember, getMembers, getNamesOfMember, getOwnedMember, getOwnedMember, getOwnedMembers, getOwnedRule, getOwnedRule, getOwnedRules, getPackageImport, getPackageImport, getPackageImports, importMembers, membersAreDistinguishable, validateMembersDistinguishable`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.Type
`conformsTo, createAssociation, getAssociations, getPackage, setPackage`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.ParameterableElement
`getOwningTemplateParameter, getTemplateParameter, isCompatibleWith, isTemplateParameter, setOwningTemplateParameter, setTemplateParameter`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.TemplateableElement
`createOwnedTemplateSignature, createOwnedTemplateSignature, createTemplateBinding, getOwnedTemplateSignature, getTemplateBinding, getTemplateBinding, getTemplateBindings, isTemplate, parameterableElements, setOwnedTemplateSignature`

Methods inherited from interface org.eclipse.uml2.uml.BehavioredClassifier

`createClassifierBehavior, createInterfaceRealization, createOwnedBehavior, createOwnedTrigger, getAllImplementedInterfaces, getClassifierBehavior, getImplementedInterfaces, getInterfaceRealization, getInterfaceRealization, getInterfaceRealizations, getOwnedBehavior, getOwnedBehavior, getOwnedBehaviors, getOwnedTrigger, getOwnedTrigger, getOwnedTriggers, setClassifierBehavior, validateClassBehavior`

Method Detail

### isReadOnly

    boolean isReadOnly()

  Returns the value of the 'Is Read Only' attribute. The default value is `"false"`. If true, this activity must not make any changes to variables outside the activity or to objects. (This is an assertion, not an executable property. It may be used by an execution engine to optimize model execution. If the assertion is violated by the action, then the model is ill-formed.) The default is false (an activity may make nonlocal changes).

  Returns:
    the value of the 'Is Read Only' attribute.
  See Also:
    `setIsReadOnly(boolean)`, `UMLPackage.getActivity_IsReadOnly()`

### setIsReadOnly

    void setIsReadOnly(boolean value)

  Sets the value of the '`Is Read Only`' attribute.

  Parameters:
    `value` - the new value of the 'Is Read Only' attribute.
  See Also:
    `isReadOnly()`

### getGroups

    org.eclipse.emf.common.util.EList<ActivityGroup> getGroups()

  Returns the value of the 'Group' containment reference list. The list contents are of type `ActivityGroup`. It is bidirectional and its opposite is '`In Activity`'.

  This feature subsets the following features:

  - '`Owned Element`'
  Top-level groups in the activity.

  Returns:
    the value of the 'Group' containment reference list.
  See Also:
    `UMLPackage.getActivity_Group()`, `ActivityGroup.getInActivity()`

### createGroup

    ActivityGroup createGroup(org.eclipse.emf.ecore.EClass eClass)

  Creates a new `ActivityGroup` and appends it to the 'Group' containment reference list.

  Parameters:
    `eClass` - The Ecore class of the `ActivityGroup` to create.
  Returns:
    The new `ActivityGroup`.
  See Also:
    `getGroups()`

### isSingleExecution

    boolean isSingleExecution()

  Returns the value of the 'Is Single Execution' attribute. The default value is `"false"`. If true, all invocations of the activity are handled by the same execution.

  Returns:
    the value of the 'Is Single Execution' attribute.
  See Also:
    `setIsSingleExecution(boolean)`, `UMLPackage.getActivity_IsSingleExecution()`

### setIsSingleExecution

    void setIsSingleExecution(boolean value)

  Sets the value of the '`Is Single Execution`' attribute.

  Parameters:
    `value` - the new value of the 'Is Single Execution' attribute.
  See Also:
    `isSingleExecution()`

### getStructuredNodes

    org.eclipse.emf.common.util.EList<StructuredActivityNode> getStructuredNodes()

  Returns the value of the 'Structured Node' reference list. The list contents are of type `StructuredActivityNode`.

  This feature subsets the following features:

  - '`Node`'
  - '`Group`'
  Top-level structured nodes in the activity.

  Returns:
    the value of the 'Structured Node' reference list.
  See Also:
    `UMLPackage.getActivity_StructuredNode()`

### getStructuredNode

    StructuredActivityNode getStructuredNode(java.lang.String name)

  Retrieves the first `StructuredActivityNode` with the specified 'Name' from the 'Structured Node' reference list.

  Parameters:
    `name` - The 'Name' of the `StructuredActivityNode` to retrieve, or `null`.
  Returns:
    The first `StructuredActivityNode` with the specified 'Name', or `null`.
  See Also:
    `getStructuredNodes()`

### getStructuredNode

    StructuredActivityNode getStructuredNode(java.lang.String name,
                                             boolean ignoreCase,
                                             org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `StructuredActivityNode` with the specified 'Name' from the 'Structured Node' reference list.

  Parameters:
    `name` - The 'Name' of the `StructuredActivityNode` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `StructuredActivityNode` to retrieve, or `null`.
  Returns:
    The first `StructuredActivityNode` with the specified 'Name', or `null`.
  See Also:
    `getStructuredNodes()`

### getVariables

    org.eclipse.emf.common.util.EList<Variable> getVariables()

  Returns the value of the 'Variable' containment reference list. The list contents are of type `Variable`. It is bidirectional and its opposite is '`Activity Scope`'.

  This feature subsets the following features:

  - '`Owned Member`'
  Top-level variables in the activity.

  Returns:
    the value of the 'Variable' containment reference list.
  See Also:
    `UMLPackage.getActivity_Variable()`, `Variable.getActivityScope()`

### createVariable

    Variable createVariable(java.lang.String name,
                            Type type)

  Creates a new `Variable`, with the specified 'Name', and 'Type', and appends it to the 'Variable' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Variable`, or `null`.
    `type` - The 'Type' for the new `Variable`, or `null`.
  Returns:
    The new `Variable`.
  See Also:
    `getVariables()`

### getVariable

    Variable getVariable(java.lang.String name,
                         Type type)

  Retrieves the first `Variable` with the specified 'Name', and 'Type' from the 'Variable' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Variable` to retrieve, or `null`.
    `type` - The 'Type' of the `Variable` to retrieve, or `null`.
  Returns:
    The first `Variable` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getVariables()`

### getVariable

    Variable getVariable(java.lang.String name,
                         Type type,
                         boolean ignoreCase,
                         boolean createOnDemand)

  Retrieves the first `Variable` with the specified 'Name', and 'Type' from the 'Variable' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Variable` to retrieve, or `null`.
    `type` - The 'Type' of the `Variable` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `Variable` on demand if not found.
  Returns:
    The first `Variable` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getVariables()`

### getNodes

    org.eclipse.emf.common.util.EList<ActivityNode> getNodes()

  Returns the value of the 'Node' containment reference list. The list contents are of type `ActivityNode`. It is bidirectional and its opposite is '`Activity`'.

  This feature subsets the following features:

  - '`Owned Element`'
  Nodes coordinated by the activity.

  Returns:
    the value of the 'Node' containment reference list.
  See Also:
    `UMLPackage.getActivity_Node()`, `ActivityNode.getActivity()`

### createNode

    ActivityNode createNode(java.lang.String name,
                            org.eclipse.emf.ecore.EClass eClass)

  Creates a new `ActivityNode`, with the specified 'Name', and appends it to the 'Node' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `ActivityNode`, or `null`.
    `eClass` - The Ecore class of the `ActivityNode` to create.
  Returns:
    The new `ActivityNode`.
  See Also:
    `getNodes()`

### getNode

    ActivityNode getNode(java.lang.String name)

  Retrieves the first `ActivityNode` with the specified 'Name' from the 'Node' containment reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityNode` to retrieve, or `null`.
  Returns:
    The first `ActivityNode` with the specified 'Name', or `null`.
  See Also:
    `getNodes()`

### getNode

    ActivityNode getNode(java.lang.String name,
                         boolean ignoreCase,
                         org.eclipse.emf.ecore.EClass eClass,
                         boolean createOnDemand)

  Retrieves the first `ActivityNode` with the specified 'Name' from the 'Node' containment reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityNode` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `ActivityNode` to retrieve, or `null`.
    `createOnDemand` - Whether to create a `ActivityNode` on demand if not found.
  Returns:
    The first `ActivityNode` with the specified 'Name', or `null`.
  See Also:
    `getNodes()`

### getEdges

    org.eclipse.emf.common.util.EList<ActivityEdge> getEdges()

  Returns the value of the 'Edge' containment reference list. The list contents are of type `ActivityEdge`. It is bidirectional and its opposite is '`Activity`'.

  This feature subsets the following features:

  - '`Owned Element`'
  Edges expressing flow between nodes of the activity.

  Returns:
    the value of the 'Edge' containment reference list.
  See Also:
    `UMLPackage.getActivity_Edge()`, `ActivityEdge.getActivity()`

### createEdge

    ActivityEdge createEdge(java.lang.String name,
                            org.eclipse.emf.ecore.EClass eClass)

  Creates a new `ActivityEdge`, with the specified 'Name', and appends it to the 'Edge' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `ActivityEdge`, or `null`.
    `eClass` - The Ecore class of the `ActivityEdge` to create.
  Returns:
    The new `ActivityEdge`.
  See Also:
    `getEdges()`

### getEdge

    ActivityEdge getEdge(java.lang.String name)

  Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Edge' containment reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityEdge` to retrieve, or `null`.
  Returns:
    The first `ActivityEdge` with the specified 'Name', or `null`.
  See Also:
    `getEdges()`

### getEdge

    ActivityEdge getEdge(java.lang.String name,
                         boolean ignoreCase,
                         org.eclipse.emf.ecore.EClass eClass,
                         boolean createOnDemand)

  Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Edge' containment reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityEdge` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `ActivityEdge` to retrieve, or `null`.
    `createOnDemand` - Whether to create a `ActivityEdge` on demand if not found.
  Returns:
    The first `ActivityEdge` with the specified 'Name', or `null`.
  See Also:
    `getEdges()`

### getPartitions

    org.eclipse.emf.common.util.EList<ActivityPartition> getPartitions()

  Returns the value of the 'Partition' reference list. The list contents are of type `ActivityPartition`.

  This feature subsets the following features:

  - '`Group`'
  Top-level partitions in the activity.

  Returns:
    the value of the 'Partition' reference list.
  See Also:
    `UMLPackage.getActivity_Partition()`

### createPartition

    ActivityPartition createPartition(java.lang.String name)

  Creates a new `ActivityPartition`, with the specified 'Name', and appends it to the 'Partition' reference list.

  Parameters:
    `name` - The 'Name' for the new `ActivityPartition`, or `null`.
  Returns:
    The new `ActivityPartition`.
  See Also:
    `getPartitions()`

### getPartition

    ActivityPartition getPartition(java.lang.String name)

  Retrieves the first `ActivityPartition` with the specified 'Name' from the 'Partition' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityPartition` to retrieve, or `null`.
  Returns:
    The first `ActivityPartition` with the specified 'Name', or `null`.
  See Also:
    `getPartitions()`

### getPartition

    ActivityPartition getPartition(java.lang.String name,
                                   boolean ignoreCase,
                                   boolean createOnDemand)

  Retrieves the first `ActivityPartition` with the specified 'Name' from the 'Partition' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityPartition` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `ActivityPartition` on demand if not found.
  Returns:
    The first `ActivityPartition` with the specified 'Name', or `null`.
  See Also:
    `getPartitions()`

### validateNoSupergroups

    boolean validateNoSupergroups(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

  The groups of an activity have no supergroups. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateActivityParameterNode

    boolean validateActivityParameterNode(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map<java.lang.Object,java.lang.Object> context)

  The nodes of the activity must include one ActivityParameterNode for each parameter. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateAutonomous

    boolean validateAutonomous(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map<java.lang.Object,java.lang.Object> context)

  An activity cannot be autonomous and have a classifier or behavioral feature context at the same time. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.